--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: Bogus Gateway
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: AUTHORIZATION
  value: "'53433'"
- !ruby/object:RI::Constant 
  comment: 
  name: SUCCESS_MESSAGE
  value: "\"Bogus Gateway: Forced success\""
- !ruby/object:RI::Constant 
  comment: 
  name: FAILURE_MESSAGE
  value: "\"Bogus Gateway: Forced failure\""
- !ruby/object:RI::Constant 
  comment: 
  name: ERROR_MESSAGE
  value: "\"Bogus Gateway: Use CreditCard number 1 for success, 2 for exception and anything else for error\""
- !ruby/object:RI::Constant 
  comment: 
  name: CREDIT_ERROR_MESSAGE
  value: "\"Bogus Gateway: Use trans_id 1 for success, 2 for exception and anything else for error\""
- !ruby/object:RI::Constant 
  comment: 
  name: UNSTORE_ERROR_MESSAGE
  value: "\"Bogus Gateway: Use trans_id 1 for success, 2 for exception and anything else for error\""
- !ruby/object:RI::Constant 
  comment: 
  name: CAPTURE_ERROR_MESSAGE
  value: "\"Bogus Gateway: Use authorization number 1 for exception, 2 for error and anything else for success\""
- !ruby/object:RI::Constant 
  comment: 
  name: VOID_ERROR_MESSAGE
  value: "\"Bogus Gateway: Use authorization number 1 for exception, 2 for error and anything else for success\""
full_name: ActiveMerchant::Billing::BogusGateway
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: authorize
- !ruby/object:RI::MethodSummary 
  name: capture
- !ruby/object:RI::MethodSummary 
  name: credit
- !ruby/object:RI::MethodSummary 
  name: purchase
- !ruby/object:RI::MethodSummary 
  name: store
- !ruby/object:RI::MethodSummary 
  name: unstore
- !ruby/object:RI::MethodSummary 
  name: void
name: BogusGateway
superclass: Gateway
